Subject: [EAI] Comments on the latest ABNF in draft-ietf-eai-rfc5335bis-04.txt

From: Alexey Melnikov <[email-masked]>
Date: Fri, 03 Dec 2010 09:48:55 +0000

4.4.  Change on addr-spec Syntax

   uAddr-Spec      =  uLocal-Part "@" ( uDomain / address-literal )

This should be using RFC 5322, not RFC 5321 syntax. So, it shoul be:

 uAddr-Spec      =  uLocal-Part "@" uDomain

   address-literal =  <See Section 4.1.2 of RFC 5321>

This is not needed.

   uLocal-Part     =  uDot-String / uQuoted-String / obs-Local-Part
                      ; Replace Local-Part in Section 4.1.2 of RFC 5321

This should be using RFC 5322 syntax, not RFC 5321 syntax, so:

   uLocal-Part      =  uDot-Atom / uQuoted-String / obs-local-part

   uDot-string     =  uAtom *("." uAtom)
                      ; Replace Dot-string in RFC 5321, Section 4.1.2

Not needed

   uDomain         =  (sub-udomain 1*("." sub-uDomain)) /
                      dot-atom / domain-literal / obs-domain
                      ; Replace Domain in Section 4.1.2 of  RFC 5321

Should be:
   uDomain          =  uDot-Atom / domain-literal / obs-domain

   domain-literal   = <See Section 3.4.1 of RFC 5322>

   sub-udomain     =  uLet-dig [uLdh-str]
                      ; Replace sub-domain in Section 4.1.2 of RFC 5321

   uLet-dig        =  Let-dig / UTF8-non-ascii
                      ; Replace uLet-dig in Section 4.1.2 of RFC 5321

   Let-dig         =  <See Section 4.1.2 of RFC 5321>

   uLdh-str        =  *( ALPHA / DIGIT / "-" / UTF8-non-ascii) uLet-dig
                      ; Replace Ldh-str Section 4.1.2 of RFC 5321

These 4 productions are not needed.